Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » OCL » supplierDependency broken in Luna SR2
supplierDependency broken in Luna SR2 [message #1649557] Wed, 04 March 2015 11:37 Go to next message
Eclipse UserFriend
Dear all,
I've been using supplierDependency applied to UML::Property in the
specification of constraints in a stereotype in Luna SR1 and Papyrus and
it was working OK.
With Luna SR2 supplierDependency stopped working. It's strange, because
in the profile specification where the OCL is defined I get no error.
Furthermore, in Xtext OCL Interactive console it's still working.
However, when I validate the model in Papyrus it fails. I get the error:

1: Unresolved Property 'UML::Property::supplierDependency'

Is it a bug?

Best,

P.S. Using Eclipse Luna SR2 Modelling and Papyrus 1.0.1

Víctor
Re: supplierDependency broken in Luna SR2 [message #1649576 is a reply to message #1649557] Wed, 04 March 2015 11:46 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 5571
Registered: July 2009
Senior Member
Hi

Your versions are vague and all over the place.

With Luna SR2 you should have Papyrus 1.0.2 and OCL 5.0.4 and UML 5.0.2.
Each is a best-endeavours bug fix, so mixing versions is not illegal,
just unwise.

It certainly might be a bug, but without a repro for the latest
versions, difficult to tell.

Regards

Ed Willink


On 04/03/2015 11:37, "V. López" wrote:
> Dear all,
> I've been using supplierDependency applied to UML::Property in the
> specification of constraints in a stereotype in Luna SR1 and Papyrus
> and it was working OK.
> With Luna SR2 supplierDependency stopped working. It's strange,
> because in the profile specification where the OCL is defined I get no
> error. Furthermore, in Xtext OCL Interactive console it's still working.
> However, when I validate the model in Papyrus it fails. I get the error:
>
> 1: Unresolved Property 'UML::Property::supplierDependency'
>
> Is it a bug?
>
> Best,
>
> P.S. Using Eclipse Luna SR2 Modelling and Papyrus 1.0.1
>
> Víctor
Re: supplierDependency broken in Luna SR2 [message #1651548 is a reply to message #1649576] Thu, 05 March 2015 11:10 Go to previous messageGo to next message
Eclipse UserFriend
Hi Ed,
First, thanks for your quick reply.
Regarding the versions installed, I downloaded SR2 and installed Papyrus
by using the "Install modelling components" entry in the menu.
I thought that would install the latest version, but I was wrong.
I updated Papyrus to 1.0.2, but no change. I still get the error:

1: Unresolved Property 'UML::Property::supplierDependency'
.... constraint is invalid: 'self.base_Pproperty.supplierDependency->

1: Unresolved Property 'UML::Port::supplierDependency'
.... constraint is invalid: 'self.base_Port.supplierDependency->

If I try the same OCL in the Xtext OCL console it works flawlessly.

I tried the same model in SR1, using Papyrus 1.0.1, OCL 5.0.2 and UML
5.0.0 and works perfectly. Therefore, the problem was introduced in SR2.

Now using Papyrus 1.0.2 and OCL for UML 5.0.0. When I click on check
updates, no update is available.

Any hint about what's wrong?

Best,

Víctor





El 04/03/2015 a las 12:46, Ed Willink escribió:
> Hi
>
> Your versions are vague and all over the place.
>
> With Luna SR2 you should have Papyrus 1.0.2 and OCL 5.0.4 and UML 5.0.2.
> Each is a best-endeavours bug fix, so mixing versions is not illegal,
> just unwise.
>
> It certainly might be a bug, but without a repro for the latest
> versions, difficult to tell.
>
> Regards
>
> Ed Willink
>
>
> On 04/03/2015 11:37, "V. López" wrote:
>> Dear all,
>> I've been using supplierDependency applied to UML::Property in the
>> specification of constraints in a stereotype in Luna SR1 and Papyrus
>> and it was working OK.
>> With Luna SR2 supplierDependency stopped working. It's strange,
>> because in the profile specification where the OCL is defined I get no
>> error. Furthermore, in Xtext OCL Interactive console it's still working.
>> However, when I validate the model in Papyrus it fails. I get the error:
>>
>> 1: Unresolved Property 'UML::Property::supplierDependency'
>>
>> Is it a bug?
>>
>> Best,
>>
>> P.S. Using Eclipse Luna SR2 Modelling and Papyrus 1.0.1
>>
>> Víctor
>
Re: supplierDependency broken in Luna SR2 [message #1651781 is a reply to message #1651548] Thu, 05 March 2015 14:04 Go to previous message
Ed Willink is currently offline Ed WillinkFriend
Messages: 5571
Registered: July 2009
Senior Member
>> It certainly might be a bug, but without a repro for the latest
>> versions, difficult to tell.
Previous Topic:OCL Parsing Error: 1:1:4 "inv:" misplaced construct(s) what does this mean?
Next Topic:How can I use oclContainer() in OCL Query for Ecore
Goto Forum:
  


Current Time: Tue Jan 16 14:11:42 GMT 2018

Powered by FUDForum. Page generated in 0.02121 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software